Why I am Unable to Download LabVIEW FPGA Bitfile on NI ELVIS DSDB Board?

Updated Jun 12, 2018

Reported In

Hardware

  • NI ELVIS
  • Digilent Modules

Software

  • LabVIEW 2015 Full
  • LabVIEW 2015 SP1 Full
  • LabVIEW 2015 FPGA Module
  • LabVIEW 2015 SP1 FPGA Module
  • FPGA Xilinx Compilation Tools
  • LabVIEW 2018 Full

Operating System

  • Windows

Issue Details

I am able to compile FPGA code using compile cloud as well as local server Xilinx Compilers, but when trying to download the bitfile to the target, I get the error "LabVIEW FPGA called another software component, and that component returned the following error: -374162 Failed to download the FPGA bitfile."
 

Solution

This issue might occur because of an older Adept driver version. For successful deployment of bitfile using LabVIEW FPGA, Adept driver version 2.16 or later is required which can be downloaded using this link: Adept 2

Additional Information

This issue occurs only when Bitfile is deployed using NI LabVIEW / LabVIEW FPGA. However, development using NI Multisim works fine with older version of Adept drivers too.

WAS THIS ARTICLE HELPFUL?

Not Helpful